# Class TextDelta

Namespace
  AnthropicClient.Models

Assembly
  AnthropicClient.dll

Represents a text delta.

    public class TextDelta : ContentDelta

Inheritance
  object
  ContentDelta
  TextDelta

Inherited Members
  ContentDelta.Type
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Constructors

### TextDelta(string)

Initializes a new instance of the TextDelta class.

    public TextDelta(string text)

#### Parameters

`text` string

  The text.

## Properties

### Text

Gets the text.

    public string Text { get; set; }

#### Property Value

string